<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>Hitflix Register</title>
    <link rel="stylesheet" href="{{url_for('static',filename='bootstrap/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/register.css')}}">
</head>
<body style="background: rgb(0,0,0);">
      <div class="text-center"><img src="{{url_for('static',filename='img/logo.png')}}" width="150em" height="auto"></div>
    <h1 class="text-center justify-content-center">Création d'un compte</h1>
    <div class="d-xl-flex flex-column justify-content-xl-center align-items-xl-center">
        {% with messages = get_flashed_messages() %}
            {% if messages %}
                <div class="notification is-danger">
                <p style="font-size:24px;color: white;">{{ messages[0] }} <a href="{{ url_for('auth.login') }}">Connectez-vous</a></p> 
                </div>
            {% endif %}
        {% endwith %}
        <form method="POST" action="/register">
            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center">
                <label>Pseudo:&nbsp;</label><input class="form-control" type="text"
                    placeholder="Saisissez votre pseudo" name="pseudo" required></div>
            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center">
                <label>Prénom:&nbsp;</label><input class="form-control" type="text"
                    placeholder="Saisissez votre prénom" name="prenom" required></div>
            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center">
                <label>Nom:&nbsp;</label><input class="form-control" type="text" placeholder="Saisissez votre nom" name="nom" required>
            </div>
            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center"><label
                    class="text-nowrap">Date
                    de naissance:&nbsp;</label><input class="form-control" type="date" name="dateNaissance" required>
            </div>
            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center"><label
                    class="text-nowrap">Sexe:&nbsp;</label><select class="form-control" name="sexe" required>
                    <option value="undefined">Sélectionnez votre sexe</option>
                    <option value="Homme">Homme</option>
                    <option value="Femme">Femme</option>
                    <option value="Autre">Autre</option>
                </select></div>
            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center"><label
                    class="text-nowrap">URL
                    Image de profil:&nbsp;</label><input class="form-control" type="text" name="urlImg" placeholder="Saisissez l'URL d'une image de profil"></div>
            <div class="d-xl-flex align-items-xl-center"><label class="text-nowrap d-inline-flex">Mot de
                    passe:&nbsp;</label><input class="form-control" type="password"
                    placeholder="Saisissez votre mot de passe" name="mdp" required></div>
            <button class="btn btn-primary" type="submit">Valider</button><button class="btn btn-primary"
                type="button" onclick="window.location.href = '/login/'">Déjà un compte ?</button>
        </form>
    </div>
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
</body>

</html>
